/*
Rapid Doji EA 01

This MQL5 Expert Advisor uses a simple strategy on a daily chart.

For step-by-step video tutorials (with transcripts) on how this EA
was built, go to the link below.
*/
#property copyright		"Copyright 2020, Anthony J. Garot"
#property link			"https://www.garot.com/trading/"
#property version	 	"1.01"
#property description	""
#property description	"Rapid Doji EA 01"
#property description	""
#property description	"Entry: Two pending orders around each Daily Doji bar."
#property description	"Risk adjustment: Fixed trailing SL."
#property strict

#include <Trade\Trade.mqh>
#include <Trade\AccountInfo.mqh>

//--- globals
CTrade			g_trade;					// trade object
double			g_pointSize = 0.;			// initialize to ludicrous value

//--- constants
const long		MAGIC_NUMBER = 5678900;

int OnInit(void)
{
	// netting mode check
	// 2020.02.12 - Because I never have two trades on the same symbol open simultaneously,
	// this check is unnecessary.
	if(AccountInfoInteger(ACCOUNT_MARGIN_MODE) != ACCOUNT_MARGIN_MODE_RETAIL_NETTING)
	{
		Print("This is a Hedging Account! NOT OK in the USA.");
		return INIT_FAILED;
	}

	g_trade.SetExpertMagicNumber(MAGIC_NUMBER);

	g_pointSize = SymbolInfoDouble(_Symbol, SYMBOL_POINT);
	PrintFormat("g_pointSize is [%.5f]", g_pointSize);

	//--- ok
	Print("INIT_SUCCEEDED for EA!");
	return(INIT_SUCCEEDED);
}
